﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using NetFwTypeLib;
using System.Net;
using System.Net.Sockets;

namespace HKFmonitor
{
    // Form pro zkušební účely

    public partial class Form1 : Form
    {
        Configuration conf;

        public Form1(Configuration conf)
        {
            InitializeComponent();
            this.conf = conf;
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            INetFwRule firewallRule = (INetFwRule)Activator.CreateInstance(Type.GetTypeFromProgID("HNetCfg.FWRule"));
            firewallRule.Action = NET_FW_ACTION_.NET_FW_ACTION_ALLOW;
            firewallRule.Description = "HKFmonitor popis";
            firewallRule.ApplicationName = @"C:\Users\Kaspi\Dropbox\itfuture\Development\HKFmonitor\HKFmonitor\bin\Debug\HKFmonitor.exe";
            firewallRule.Enabled = true;
            firewallRule.InterfaceTypes = "All";
            firewallRule.Name = "HKFmonitor";

            INetFwPolicy2 firewallPolicy = (INetFwPolicy2)Activator.CreateInstance(
                Type.GetTypeFromProgID("HNetCfg.FwPolicy2"));
            firewallPolicy.Rules.Add(firewallRule);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            var trc = conf.getTraceroute("www.google.com", true);
            string trcstr = null;
            foreach (string ln in trc)
            {
                trcstr = trcstr + Environment.NewLine + ln;
            }
            MessageBox.Show(trcstr);

        }

        private void button4_Click(object sender, EventArgs e)
        {
            
        }

        private void button5_Click(object sender, EventArgs e)
        {
            MessageBox.Show(WebComm.fastPHPpost(conf.phpAddr, "idcko", "2"));
        }

        private void button6_Click(object sender, EventArgs e)
        {
            IPAddress ipAddress = Dns.GetHostEntry(Dns.GetHostName()).AddressList[0];
            IPEndPoint ipLocalEndPoint = new IPEndPoint(ipAddress, 12345);

            TcpListener t = new TcpListener(ipLocalEndPoint);
            t.Start();
            t.Stop();
        }

        private void button7_Click(object sender, EventArgs e)
        {
            MessageBox.Show(WebComm.fastPHPpost(conf.phpAddr,"saveMyIP", "neco"));
        }

        
    }
}
