﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;

namespace HKFmonitor
{
    class Speedtest
    {
        public static string speedtest1MB(string addr)
        {
            return performSpeedtest(addr,1);
        }

        public static string speedtest10MB(string addr)
        {
            return performSpeedtest(addr, 10);
        }

        private static string performSpeedtest(string addr, int multiplier)
        {
            string result;
            Uri URL = new Uri(addr);
            WebClient wc = new WebClient();
            double starttime = Environment.TickCount;
            wc.DownloadFile(URL, @"C:\TEMP\speedtest.txt");
            double endtime = Environment.TickCount;
            double secs = Math.Floor(endtime - starttime) / 1000;
            double secs2 = Math.Round(secs, 0);
            double kbsec = Math.Round(multiplier * 1024 / secs);
            result = "Test " + multiplier + "MB: " + secs2 + "s (" + secs + "s)";
            result += Environment.NewLine + "Rychlost stahování: " + kbsec + " kb/s";
            try
            {
                System.IO.File.Delete(@"C:\TEMP\speedtest.txt");
            }
            catch
            {
            }
            return result;
        }
    }
}
