﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Windows.Forms;

namespace HKFmonitor
{
    public class XMLcomm
    {
        public int clchecksum;
        public int tchecksume;

        public XMLcomm(int clchecksume, int tchecksume)
        {
            this.clchecksum = clchecksume;
            this.tchecksume = tchecksume;
        }

        public List<MessageStruct> messagesXMLparser(string xmlsoubor)
        {
            List<MessageStruct> zpravy = new List<MessageStruct>();

            try
            {
                XmlDocument xd = new XmlDocument();
                //xd.Load(xmlsoubor);
                xd.LoadXml(xmlsoubor);
                XmlNodeList xnlrsp = xd.GetElementsByTagName("ITEM");
                foreach (XmlNode xnod in xnlrsp)
                {
                    zpravy.Add(new MessageStruct(tryParseInt(xnod.Attributes["ID"].Value), xnod.Attributes["SUBNET"].Value, xnod.Attributes["DATE"].Value,xnod.Attributes["PARRENT"].Value, xnod.Attributes["TEXT"].Value));
                }
            }
            catch (Exception)
            {
            }
            return zpravy;
        }

        public static int tryParseInt(string num)
        {
            try
            {
                return int.Parse(num);
            }
            catch
            {
                return -1;
            }
        }

        public List<string> clientsXMLparser(string xmlsoubor)
        {
            List<string> clients = new List<string>();

            try
            {
                XmlDocument xd = new XmlDocument();
                //xd.Load(xmlsoubor);
                xd.LoadXml(xmlsoubor);
                XmlNodeList xnlrspver = xd.GetElementsByTagName("LIST");
                foreach (XmlNode xnod in xnlrspver)
                {
                    clchecksum = tryParseInt(xnod.Attributes["version"].Value);
                }
                XmlNodeList xnlrsp = xd.GetElementsByTagName("ITEM");
                foreach (XmlNode xnod in xnlrsp)
                {
                    clients.Add(xnod.Attributes["IP"].Value);
                }
            }
            catch (Exception)
            {
            }
            return clients;
        }

        public List<technician> technicsXMLparser(string xmlsoubor)
        {
            List<technician> technics = new List<technician>();

            try
            {
                XmlDocument xd = new XmlDocument();
                //xd.Load(xmlsoubor);
                xd.LoadXml(xmlsoubor);
                XmlNodeList xnlrspver = xd.GetElementsByTagName("LIST");
                foreach (XmlNode xnod in xnlrspver)
                {
                    tchecksume = tryParseInt(xnod.Attributes["version"].Value);
                }
                XmlNodeList xnlrsp = xd.GetElementsByTagName("ITEM");
                foreach (XmlNode xnod in xnlrsp)
                {
                    technics.Add(new technician(xnod.Attributes["name"].Value, xnod.Attributes["phone"].Value, xnod.Attributes["email"].Value, xnod.Attributes["note"].Value));
                }
            }
            catch (Exception)
            {
            }
            return technics;
        }
    }
}
