﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HKFmonitor
{
    public partial class frmMessages : Form
    {
        MessagesClass msg;

        public frmMessages(MessagesClass msg)
        {
            InitializeComponent();
            this.msg = msg;
        }

        private void msgFrom_Load(object sender, EventArgs e)
        {
            dgvMsgRefresh();
        }

        private void dgvMsgRefresh()
        {
            var newlist = msg.seznamZprav.OrderByDescending(id => id.ID).ToList();
            dgvMsg.Rows.Clear();
            //cbbChecksume.Refresh();
            foreach (MessageStruct ms in newlist)
            {
                dgvMsg.Rows.Add(ms.ID, ms.datum, ms.text);
            }
            dgvMsg.Refresh();

        }

        private void btClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btRefresh_Click(object sender, EventArgs e)
        {
            dgvMsgRefresh();
        }
    }
}
