﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net.Mail;

namespace HKFmonitor
{
    public partial class frmSupport : Form
    {
        Configuration conf;

        public frmSupport(Configuration conf)
        {
            InitializeComponent();
            this.conf = conf;
            
            cbEamail.Items.Add("podpora.hkfree.org");
            foreach (technician t in conf.technics)
            {
                cbEamail.Items.Add(t.email);
            }

            foreach (technician t in conf.technics)
            {
                dgvTechnics.Rows.Add(t.name,t.phone,t.email);
            }
            cbEamail.SelectedIndex = 0;

        }

        private void frmSupport_Load(object sender, EventArgs e)
        {

        }

        private bool sendEmail()
        {
            try
            {
                MailMessage message = new MailMessage("HKFmon-" + conf.myAddress + "@hkfree.org", cbEamail.SelectedItem.ToString(), "[HKFmon IP: " + conf.myAddress + "] " + tbSubject.Text, tbmessage.Text);
                SmtpClient client = new SmtpClient("smtp.hkfree.org");
                client.Send(message);
                return true;
            }
            catch (Exception)
            {
                return false;
            }

        }

        private void tbSend_Click(object sender, EventArgs e)
        {
            if (sendEmail() == true)
            {
                tbSubject.Text = "";
                tbmessage.Text = "";
                MessageBox.Show("Zpráva byla odeslána.");
            }
            else MessageBox.Show("Zprávu se nepodařilo odeslat!");
        }

        private void btClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
