﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;
using System.Xml.Serialization;
using System.IO;
using System.Windows.Forms;

namespace HKFmonitor
{
    public class MessagesClass
    {
        public MessagesClass()
        {
        }

        public List<MessageStruct> seznamZprav = new List<MessageStruct>();

        internal void saveMessages()
        {
            XmlSerializer xmls = new XmlSerializer(this.GetType());
            try
            {
                FileStream fs = new FileStream(Assembly.GetExecutingAssembly().CodeBase.Replace(".EXE", ".msg").Replace(".exe", ".msg").Replace("file:///", "").Replace("file:", "").Replace("/", "\\"), FileMode.Create, FileAccess.Write);
                xmls.Serialize(fs, this);
                fs.Close();

            }
            catch (Exception ex)
            {
                MessageBox.Show("Chyba při ukládání konfigurace" + Environment.NewLine + ex.Message);
            }

        }

        public int getLatest()
        {
            int lm = seznamZprav.Count() - 1;
            if (lm < 0) return 1;
            else return seznamZprav[lm].ID;
        }

        
    }

    public class MessageStruct
    {
        public int ID;
        public string subnet;
        public string datum;
        public string parrent;
        public string text;

        public MessageStruct()
        {
        }

        public MessageStruct(int ID, string subnet, string datum, string parrent, string text)
        {
            this.ID = ID;
            this.subnet = subnet;
            this.datum = datum;
            this.parrent = parrent;
            this.text = text;
        }
    }

    
}
